Package org.jcsp.util.filter

# Class FilteredChannel

java.lang.Object
org.jcsp.util.filter.FilteredChannel

public class FilteredChannel extends Object
Static factory for creating filtered channels.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`static FilteredAny2AnyChannel`
`createAny2Any()`
Creates a new Any2Any filtered channel.
`static FilteredAny2AnyChannel[]`
`createAny2Any(int n)`
Constructs and returns an array of `Any2AnyChannel` objects.
`static FilteredAny2AnyChannel`
`createAny2Any(ChannelDataStore buffer)`
Creates a new Any2Any filtered channel with a given buffering behaviour.
`static FilteredAny2AnyChannel[]`
`createAny2Any(ChannelDataStore buffer, int n)`
Constructs and returns an array of `Any2AnyChannel` objects with a given buffer.
`static FilteredAny2OneChannel`
`createAny2One()`
Creates a new Any2One filtered channel.
`static FilteredAny2OneChannel[]`
`createAny2One(int n)`
Constructs and returns an array of `Any2OneChannel` objects.
`static FilteredAny2OneChannel`
`createAny2One(ChannelDataStore buffer)`
Creates a new Any2One filtered channel with a given buffering behaviour.
`static FilteredAny2OneChannel[]`
`createAny2One(ChannelDataStore buffer, int n)`
Constructs and returns an array of `Any2OneChannel` objects with a given buffer.
`static FilteredOne2AnyChannel`
`createOne2Any()`
Creates a new One2Any filtered channel.
`static FilteredOne2AnyChannel[]`
`createOne2Any(int n)`
Constructs and returns an array of `One2AnyChannel` objects.
`static FilteredOne2AnyChannel`
`createOne2Any(ChannelDataStore buffer)`
Creates a new One2Any filtered channel with a given buffering behaviour.
`static FilteredOne2AnyChannel[]`
`createOne2Any(ChannelDataStore buffer, int n)`
Constructs and returns an array of `One2AnyChannel` objects with a given buffer.
`static FilteredOne2OneChannel`
`createOne2One()`
Creates a new One2One filtered channel.
`static FilteredOne2OneChannel[]`
`createOne2One(int n)`
Constructs and returns an array of `One2OneChannel` objects.
`static FilteredOne2OneChannel`
`createOne2One(ChannelDataStore buffer)`
Creates a new One2One filtered channel with a given buffering behaviour.
`static FilteredOne2OneChannel[]`
`createOne2One(ChannelDataStore buffer, int n)`
Constructs and returns an array of `One2OneChannel` objects using a given buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createOne2One

public static FilteredOne2OneChannel createOne2One()
Creates a new One2One filtered channel.

Returns:
  the created channel.

### createAny2One

public static FilteredAny2OneChannel createAny2One()
Creates a new Any2One filtered channel.

Returns:
  the created channel.

### createOne2Any

public static FilteredOne2AnyChannel createOne2Any()
Creates a new One2Any filtered channel.

Returns:
  the created channel.

### createAny2Any

public static FilteredAny2AnyChannel createAny2Any()
Creates a new Any2Any filtered channel.

Returns:
  the created channel.

### createOne2One

public static FilteredOne2OneChannel[] createOne2One(int n)
Constructs and returns an array of `One2OneChannel` objects.

Parameters:
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelArrayFactory.createOne2One(int)`

### createAny2One

public static FilteredAny2OneChannel[] createAny2One(int n)
Constructs and returns an array of `Any2OneChannel` objects.

Parameters:
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelArrayFactory.createAny2One(int)`

### createOne2Any

public static FilteredOne2AnyChannel[] createOne2Any(int n)
Constructs and returns an array of `One2AnyChannel` objects.

Parameters:
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelArrayFactory.createOne2Any(int)`

### createAny2Any

public static FilteredAny2AnyChannel[] createAny2Any(int n)
Constructs and returns an array of `Any2AnyChannel` objects.

Parameters:
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelArrayFactory.createAny2Any(int)`

### createOne2One

public static FilteredOne2OneChannel createOne2One(ChannelDataStore buffer)
Creates a new One2One filtered channel with a given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createAny2One

public static FilteredAny2OneChannel createAny2One(ChannelDataStore buffer)
Creates a new Any2One filtered channel with a given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createOne2Any

public static FilteredOne2AnyChannel createOne2Any(ChannelDataStore buffer)
Creates a new One2Any filtered channel with a given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createAny2Any

public static FilteredAny2AnyChannel createAny2Any(ChannelDataStore buffer)
Creates a new Any2Any filtered channel with a given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createOne2One

public static FilteredOne2OneChannel[] createOne2One(ChannelDataStore buffer, int n)
Constructs and returns an array of `One2OneChannel` objects using a given buffer.

Parameters:
  `buffer` - the buffer implementation to use.
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelArrayFactory.createOne2One(int)`

### createAny2One

public static FilteredAny2OneChannel[] createAny2One(ChannelDataStore buffer, int n)
Constructs and returns an array of `Any2OneChannel` objects with a given buffer.

Parameters:
  `buffer` - the buffer implementation to use.
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelArrayFactory.createAny2One(int)`

### createOne2Any

public static FilteredOne2AnyChannel[] createOne2Any(ChannelDataStore buffer, int n)
Constructs and returns an array of `One2AnyChannel` objects with a given buffer.

Parameters:
  `buffer` - the buffer implementation to use.
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelArrayFactory.createOne2Any(int)`

### createAny2Any

public static FilteredAny2AnyChannel[] createAny2Any(ChannelDataStore buffer, int n)
Constructs and returns an array of `Any2AnyChannel` objects with a given buffer.

Parameters:
  `buffer` - the buffer implementation to use.
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelArrayFactory.createAny2Any(int)`